分享

应用开发的时候需要其他版本 Qt,如何进行安装?

Bettina 2023-10-26 15:38:58 发表于 基本操作 [显示全部楼层] 回帖奖励 阅读模式 关闭右栏 0 175
问题分析:可以从 Qt 官网下载安装包或源码编译安装,并配置环境变量。


解决方案:此处以安装 5.9.0 for Linux 为例

1) 使用从https://mirrors.tuna.tsinghua.ed ... linux-x64-5.9.0.run
下载下来的安装文件,更改权限为可执行,然后执行安装程序。不要用管理员
权限安装,直接安装到 home 目录即可,例如~/Qt5.9.0。
2)添加环境变量:
$ vim ~/.bashrc
export QT_HOME=/home/kylin/Qt5.9.0/5.9/gcc_64
export LD_LIBRARY_PATH=$LD_LIBRARY_PATH{QT_HOME}/lib
export QT_PLUGIN_PATH=$QT_PLUGIN_PATH{QT_HOME}/plugins
export QML2_IMPORT_PATH=$QML2_IMPORT_PATH{QT_HOME}/qml
export PATH=${QT_HOME}/binPATH




版权说明:论坛帖子主题均由合作第三方提供并上传,若内容存在侵权,请进行举报

没找到任何评论,期待你打破沉寂

您需要登录后才可以回帖 登录 | 立即注册

本版积分规则

联系在线客服